Index: sansview/perspectives/fitting/fit_thread.py
===================================================================
--- sansview/perspectives/fitting/fit_thread.py	(revision c138160dcc63309fdadb0528422eee7750eda56e)
+++ sansview/perspectives/fitting/fit_thread.py	(revision ed2ea6affd15bc8ac6492c7f3afba6be6f2a899f)
@@ -8,8 +8,4 @@
 DEFAULT_BEAM = 0.005
 import time
-
-import thread
-print "main",thread.get_ident()
-
  
 class ConsoleUpdate(FitHandler):
@@ -53,5 +49,5 @@
             
             wx.PostEvent(self.parent, StatusEvent(status=\
-             "%d%% complete ..."%(p)))
+             "%d%% complete ..."%(p),type="update"))
        
         # Update percent complete
@@ -61,25 +57,21 @@
         if dt > self.progress_delta:
             if 1 <= dp <= 2:
-                print "%d%% complete"%p
                 self.progress_percent = p
                 self.progress_time = t
                 wx.PostEvent(self.parent, StatusEvent(status=\
-                                                      "%d%% complete ..."%(p)))
+                                                      "%d%% complete ..."%(p),type="update"))
        
             elif 2 < dp <= 5:
                 if p//5 != self.progress_percent//5:
-                    print "%d%% complete"%(5*(p//5))
                     wx.PostEvent(self.parent, StatusEvent(status=\
-                       "%d%% complete ..."%(5*(p//5))))
+                       "%d%% complete ..."%(5*(p//5)),type="update"))
                     self.progress_percent = p
                     self.progress_time = t
             else:
                 if p//10 != self.progress_percent//10:
-                    print "%d%% complete"%(10*(p//10))
-                    
                     self.progress_percent = p
                     self.progress_time = t
                     wx.PostEvent(self.parent, StatusEvent(status=\
-                   "%d%% complete ..."%(10*(p//10))))
+                   "%d%% complete ..."%(10*(p//10)),type="update"))
         
     def improvement(self):
@@ -107,5 +99,5 @@
 
 class FitThread(CalcThread):
-    """Compute 2D data"""
+    """Thread performing the fit """
     
     def __init__(self,parent, fn,pars=None,cpage=None, qmin=None,qmax=None,ymin=None, ymax=None,
@@ -135,29 +127,35 @@
                        "Start the computation  ",curr_thread=self,type="start"))
     def isquit(self):
+        """
+             @raise KeyboardInterrupt: when the thread is interrupted
+        """
         try:
             CalcThread.isquit(self)
         except KeyboardInterrupt:
-            #printEVT("Calc %s interrupted" % self.model.name)
             wx.PostEvent(self.parent, StatusEvent(status=\
-                       "Calc %g interrupted" % time.time()))
-           
+                       "Calc %g interrupted"))
             raise KeyboardInterrupt
         
     def update(self):
-        print "updatting"
-        elapsed = time.time()-self.starttime
+        """
+            Is called when values of result are available
+        """
         wx.PostEvent(self.parent, StatusEvent(status="Computing \
         ... " ,curr_thread=self,type="update"))
             
     def compute(self):
+        """
+            Perform a fit 
+        """
         try: 
             self.starttime = time.time()
+            #Sending a progess message to the status bar
             wx.PostEvent(self.parent, StatusEvent(status=\
                        "Computing . ...",curr_thread=self,type="progress"))
+            #Handler used for park engine displayed message
             handler= ConsoleUpdate(parent= self.parent,improvement_delta=0.1)
+            #Result from the fit
             result = self.fitter.fit(handler= handler)
-            print "result", result
-           
-            print "in my compute function"
+        
             elapsed = time.time()-self.starttime
             self.complete(result= result,
@@ -174,5 +172,4 @@
             # Thread was interrupted, just proceed and re-raise.
             # Real code should not print, but this is an example...
-            print "Thread stopped. "
             raise
         except:
